import defaultSettings from '@/settings'

const { showSettings, fixedHeader, sidebarLogo } = defaultSettings

const state = {
  showSettings,
  fixedHeader,
  sidebarLogo,
}

const mutations = {
  CHANGE_SETTING: (state, { key, value }) => {
    // 原本是写 if (state.hasOwnProperty(key)) 的. eslint报错, 就改写了一下.
    if (Object.prototype.hasOwnProperty.call(state, key)) {
      state[key] = value
    }
  },
}

const actions = {
  changeSetting({ commit }, data) {
    commit('CHANGE_SETTING', data)
  },
}

export default {
  namespaced: true,
  state,
  mutations,
  actions,
}
